package com.xhkjedu.smarking.mapper.report.reportclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportclass.MsrClassQuestion;
import com.xhkjedu.smarking.vo.report.reportother.ExamReportParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-班级试题小题分析表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrClassQuestionMapper extends TkMapper<MsrClassQuestion> {

    void deleteReportByExamid(@Param("examid") Integer examid);

    //获取考试难度和区别度数据
    List<MsrClassQuestion> listQuestionClassForNdByExamid(@Param("examid") Integer examid);
    //修改难度
    void updateBatchNdById(@Param("list") List<MsrClassQuestion> list);
    //修改区分度
    void updateBatchQfdById(@Param("list") List<MsrClassQuestion> list);

    //综合报告-试题汇总表-全部班级-按小题分析
    List<Map<String, Object>> listQuestionSummaryForSmall(@Param("param") ExamReportParams param);
    //综合报告-试题汇总表-全部班级-按大题分析
    List<Map<String, Object>> listQuestionSummaryForQtype(@Param("param") ExamReportParams param);
    //综合报告-试题汇总表-全部分类-按主(客)题分析
    List<Map<String, Object>> listQuestionSummaryForObjsub(@Param("param") ExamReportParams param);
    //学科报告-各班学科试题分析
    List<MsrClassQuestion> listQuestionForXh(@Param("param") ExamReportParams param);
    //命题质量-命题分析-试题分析指标明细表
    List<Map<String,Object>> listMtzlMtfxQuestions(@Param("param") ExamReportParams param);
    //命题质量-试题分析-试卷试题
    List<Map<String,Object>> listQuestionsFroMtzlSt(@Param("param") ExamReportParams param);
    //命题质量-试题分析-单试题常用分析指标
    Map<String,Object> listQuestionByMptqidForMtzlSt(@Param("param") ExamReportParams param);
    //学科素养-单个知识点分析-知识点下试题
    List<Map<String,Object>> listQuestionsForXksyOnePoint(@Param("param") ExamReportParams param);
}
